# Generated by Django 2.0.7 on 2018-07-19 03:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('asset_mngment', '0002_delete_assetitem'),
    ]

    operations = [
        migrations.CreateModel(
            name='AssetRequests',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('approved_rejected_date', models.DateTimeField(blank=True)),
                ('is_approved', models.BooleanField(default=False)),
                ('asset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='assets_request', to='asset_mngment.Asset')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='assets_request', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
